# LinuxBoost

🚀 **LinuxBoost** is a powerful, beginner-friendly GUI app to quickly set up your Linux system with the most essential applications and shell tools — all with just a few clicks.

## 📸 Screenshot

![image](https://github.com/user-attachments/assets/4aa958d1-0756-4423-893f-a024113cf49d)

![image](https://github.com/user-attachments/assets/e13aa979-d017-4ec0-b679-aa40e3df83f1)



---

## 🔧 Features

- 📦 Install commonly used **GUI-based applications** like VLC, GIMP, Tilix  
- 🛠️ Install **terminal tools** like `zsh`, `neofetch`, `htop`  
- 🗂️ Organized by **category**  
- 🔍 Live **search bar** for filtering  
- 🔽 Collapsible sections  
- ✅ One-click install  
- 🌙 Beautiful styled interface with dark header and light content  

---

## 📦 Installation

Once published on PyPI, users can install it with:

```bash
pip install linuxboost
linuxboost
```

---

## How to run(early users)


```bash
# Clone the project
git clone https://github.com/Priyanshu-1477/Linux_Boost.git

# Move into the directory
cd Linux_Boost

# (Optional) Install requirements
pip install PyQt5

# Run the app
python3 main.py
```



## 💻 Developer Setup

To run it locally:

```bash
git clone https://github.com/yourusername/linuxboost.git
cd linuxboost
pip install -e .
python3 main.py
```

---

## 🚀 Usage

After installation, simply run:

```bash
linuxboost
```

---

## 🧩 Tech Stack

- 🐍 Python 3  
- 🖼️ PyQt5 for GUI  
- 📁 JSON for app/command definitions  

---

## 🛠️ Directory Structure

```
linuxboost/
│
├── linuxboost/
│   ├── __init__.py
│   ├── ui_main.py
│   ├── installer.py
│   ├── apps.json
│   └── commands.json
│
├── main.py
├── pyproject.toml
├── README.md
├── LICENSE
└── .gitignore
```

---

## 👨‍💻 Author

Made with ❤️ by **Priyanshu Raj**

---

## 📜 License

MIT License. See the [LICENSE](LICENSE) file for details.
